Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Stremio install problem

Post Reply
User avatar
johngavr
Forum Novice
Forum  Novice
Posts: 2
Joined: Sat May 11, 2019 6:45 am

Stremio install problem

#1

Post by johngavr » Sat May 11, 2019 6:49 am

Hello MX team and community,

I am using Stremio for movies and series. When i try to install the package via terminal i have some errors.

Code: Select all

$ sudo dpkg -i stremio_4.4.52-1_amd64.deb 
Selecting previously unselected package stremio.
(Reading database ... 255973 files and directories currently installed.)
Preparing to unpack stremio_4.4.52-1_amd64.deb ...
Unpacking stremio (4.4.52-1) ...
dpkg: dependency problems prevent configuration of stremio:
 stremio depends on nodejs; however:
  Package nodejs is not installed.
 stremio depends on libmpv1 (>= 0.27.2); however:
  Version of libmpv1:amd64 on system is 0.26.0-3mx17+1.
 stremio depends on qml-module-qt-labs-platform (>= 5.9.5); however:
  Package qml-module-qt-labs-platform is not installed.
 stremio depends on qml-module-qtquick-controls (>= 5.9.5); however:
  Package qml-module-qtquick-controls is not installed.
 stremio depends on qml-module-qtquick-dialogs (>= 5.9.5); however:
  Package qml-module-qtquick-dialogs is not installed.
 stremio depends on qml-module-qtwebchannel (>= 5.9.5); however:
  Package qml-module-qtwebchannel is not installed.
 stremio depends on qml-module-qtwebengine (>= 5.9.5); however:
  Package qml-module-qtwebengine is not installed.

dpkg: error processing package stremio (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 stremio
Any ideas how can i solve the depedencies?

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 24944
Joined: Wed Jul 19, 2006 6:13 am

Re: Stremio install problem

#2

Post by Jerry3904 » Sat May 11, 2019 7:39 am

Welcome to the Forum! That package is not in our repos:

Code: Select all

$ sudo apt install stremio -s
[sudo] password for jb: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package stremio
Googling around, I see that there are debs available on this page:

https://www.reddit.com/r/Stremio/commen ... x_systems/

Apparently that produces errors when you try to install it, but supposedly they can be corrected:

https://stremio.zendesk.com/hc/en-us/ar ... ould-I-do-

But when I tried that correction, and apt just removed the package.
Production: 4.15.0-1-amd64, MX-17.1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, SSD 120 GB, Data 1TB
Testing: AAO 722: 4.15.0-1-386. MX-17.1, AMD C-60 APU, 4 GB
Personal: XPS 13, 4.18.0-19.3-liquorix, 4 GB

User avatar
johngavr
Forum Novice
Forum  Novice
Posts: 2
Joined: Sat May 11, 2019 6:45 am

Re: Stremio install problem

#3

Post by johngavr » Sat May 11, 2019 7:46 am

hello Jerry,

the dependencies aren't in the repo so i can't installed it.

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 24944
Joined: Wed Jul 19, 2006 6:13 am

Re: Stremio install problem

#4

Post by Jerry3904 » Sat May 11, 2019 8:03 am

I know. The latest package on that site dates from 3 years ago. Looking around a bit more (did you do this?) I see that you can build the current version yourself, directions here:

https://github.com/Stremio/stremio-shel ... /DEBIAN.md

There may be problems there as well, since he says it was tested on Buster and we are based on Stretch. One way to find out...

You can also try making a package request here: viewforum.php?f=134
Production: 4.15.0-1-amd64, MX-17.1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, SSD 120 GB, Data 1TB
Testing: AAO 722: 4.15.0-1-386. MX-17.1, AMD C-60 APU, 4 GB
Personal: XPS 13, 4.18.0-19.3-liquorix, 4 GB

Post Reply

Return to “General”